Bug 602737 - Review Request: sugar-abacus - A simple abacus activity for Sugar
Review Request: sugar-abacus - A simple abacus activity for Sugar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Tyler
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SOAS-4
  Show dependency treegraph
 
Reported: 2010-06-10 11:37 EDT by Peter Robinson
Modified: 2011-01-30 20:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-30 20:45:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ctyler.fedora: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2010-06-10 11:37:02 EDT
SPEC: http://pbrobinson.fedorapeople.org/sugar-abacus.spec
SRPM: http://pbrobinson.fedorapeople.org/sugar-abacus-12-1.fc14.src.rpm

Description:
Abacus lets the learner explore different representations of numbers using 
different mechanical counting systems developed by the ancient Romans and 
Chinese. There are several different variants available for exploration: a 
suanpan, the traditional Chinese abacus with 2 beads on top and 5 beads below; 
a soroban, the traditional Japanese abacus with 1 bead on top and 4 beads below;
 the schety, the traditional Russian abacus, with 10 beads per column, with the 
exception of one column with just 4 beads used for counting in fourths; and the 
nepohualtzintzin, the traditional Mayan abacus, with 3 beads on top and 4 beads 
below (it uses base 20).

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2243075
Comment 1 Peter Robinson 2010-06-10 13:34:57 EDT
SRPM: http://pbrobinson.fedorapeople.org/sugar-abacus-13-1.fc13.src.rpm

New upstream release
Comment 2 Chris Tyler 2010-06-17 07:31:38 EDT
Hi Peter,

Looks good, two small things:

(1) The description should probably mention that this is a sugar activity, in case someone is reading the description in isolation.

(2) Consistent macro usage is required.

Review results:

[Y] MUST: rpmlint must be run on every package. The output should be posted in the review.[1]

$ rpmlint ../RPMS/noarch/sugar-abacus-13-1.fc12.noarch.rpm ../SRPMS/sugar-abacus-13-1.fc12.src.rpm sugar-abacus.spec 
sugar-abacus.noarch: W: spelling-error %description -l en_US suanpan -> suasion, supplant, Superman
sugar-abacus.noarch: W: spelling-error %description -l en_US soroban -> sorority, Sorbonne, soprano
sugar-abacus.noarch: W: spelling-error %description -l en_US schety -> chesty, Scheat, schemata
sugar-abacus.noarch: W: spelling-error %description -l en_US nepohualtzintzin -> Netzahualcoyotl
sugar-abacus.noarch: W: non-standard-group Sugar/Activities
sugar-abacus.noarch: W: hidden-file-or-dir /usr/share/sugar/activities/Abacus.activity/.abacusrc
sugar-abacus.src: W: spelling-error %description -l en_US suanpan -> suasion, supplant, Superman
sugar-abacus.src: W: spelling-error %description -l en_US soroban -> sorority, Sorbonne, soprano
sugar-abacus.src: W: spelling-error %description -l en_US schety -> chesty, Scheat, schemata
sugar-abacus.src: W: spelling-error %description -l en_US nepohualtzintzin -> Netzahualcoyotl
sugar-abacus.src: W: non-standard-group Sugar/Activities
sugar-abacus.src: W: no-buildroot-tag
sugar-abacus.spec:9: W: non-standard-group Sugar/Activities
sugar-abacus.spec: W: no-buildroot-tag
2 packages and 1 specfiles checked; 0 errors, 14 warnings.


[Y] MUST: The package must be named according to the Package Naming Guidelines .
[Y] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
[Y] MUST: The package must meet the Packaging Guidelines .
[Y] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[Y] MUST: The License field in the package spec file must match the actual license. [3]
[Y] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
[Y] MUST: The spec file must be written in American English. [5]
[Y] MUST: The spec file for the package MUST be legible. [6]
[N] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

*** Using the URL in the spec file results in a redirect so that abacus-12.xo is downloaded (?!):

$ wget -q http://activities.sugarlabs.org/downloads/file/26941/abacus-13.xo
$ md5sum abacus*.xo ~/rpmbuild/SOURCES/abacus*xo
b00d729570e6a8c53907c81b76278f46  abacus-12.xo
1bc9bdcdff79ab1a1cfcde01966612e0  /home/chris/rpmbuild/SOURCES/abacus-13.xo


[Y] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
[NA] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
[Y] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[NA] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
[NA] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[Y] MUST: Packages must NOT bundle copies of system libraries.[11]
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
[Y] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
[Y] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [14]
[Y] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
[N] MUST: Each package must consistently use macros. [16]

*** The spec file has a mixture of $RPM_BUILD_ROOT and %{buildroot}

[Y] MUST: The package must contain code, or permissable content. [17]
[NA] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[Y] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[NA] MUST: Header files must be in a -devel package. [19]
[NA] MUST: Static libraries must be in a -static package. [20]
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[NA] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
[Y] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
[Y] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
[Y] MUST: All filenames in rpm packages must be valid UTF-8. [24]



SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

[Y] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
[N] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
[-] SHOULD: The reviewer should test that the package builds in mock. [27]
[-] SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
[Y] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[Y] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
[NA] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
[NA] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
[NA] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
[NA] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]
Comment 3 Chris Tyler 2010-06-17 07:32:40 EDT
Actually, forget my comment about the description, I see that Sugar is mentioned in the summary.
Comment 4 Peter Robinson 2010-06-26 10:33:09 EDT
Sorry for the delay.

http://pbrobinson.fedorapeople.org/sugar-abacus-14-1.fc13.src.rpm

I think I've fixed it all. I'm not sure if there's a direct static download URL for ASLO so I've added the current one.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2274313
Comment 5 Peter Robinson 2010-08-13 04:25:25 EDT
Chris: any status update on this?
Comment 6 Peter Robinson 2010-09-27 10:41:36 EDT
Updated

SRPM: http://pbrobinson.fedorapeople.org/sugar-abacus-17-1.fc14.src.rpm
Comment 7 Peter Robinson 2011-01-23 08:41:02 EST
ctyler: ping
Comment 8 Chris Tyler 2011-01-30 16:00:32 EST
Sorry for the delay, Peter.

APPROVED.
Comment 9 Peter Robinson 2011-01-30 18:26:13 EST
New Package GIT Request
=======================
Package Name: sugar-abacus
Short Description: A simple abacus activity for Sugar
Owners: pbrobinson
Branches: F-14 F-13
InitialCC:
Comment 10 Dennis Gilmore 2011-01-30 18:59:27 EST
Git done (by process-git-requests).
Comment 11 Peter Robinson 2011-01-30 20:45:55 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.